Bug 535 - Dolphin localization problem
: Dolphin localization problem
Status: RESOLVED WONTFIX
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Localization
: Marathon
: All Linux
: Normal normal
: ---
Assigned To: Stanislav Hanzhin
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 15:38 MSD by Vladimir Potapov
Modified: 2013-03-28 11:46 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments
dolphin localization bug (196.03 KB, image/png)
2012-07-18 15:38 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2012-07-18 15:38:40 MSD
Created attachment 394 [details]
dolphin localization bug

Description of problem:
See screenshot
Comment 1 Stanislav Hanzhin 2013-03-27 15:33:25 MSK
Если эта проблема была в KDE 4.8.3, что вероятно, то она не будет решена никогда, т.к. поддержка KDE 4.8.3 командой локализации прекращена.
Comment 2 Vladimir Potapov 2013-03-27 17:55:08 MSK
Т.к. релиз Марафона является LTS, то если какая-то поддержка прекращена, нужно официальное обявление для пользователей. Иначе это обман.
Comment 3 Stanislav Hanzhin 2013-03-28 11:07:06 MSK
Поясняю: команда локализации не может поддерживать локализацию KDE 4.8.3 т.к.:
1. Коммит в ветку 4.8 в KDE, насколько я знаю, закрыт.
2. Мейнтейнеры пакетов Росы не принимают патчи локализации.
Comment 4 Denis Koryavov 2013-03-28 11:39:32 MSK
> 2. Мейнтейнеры пакетов Росы не принимают патчи локализации.

Кто не принимает? Андрей? Аркадий?
Comment 5 Stanislav Hanzhin 2013-03-28 11:42:15 MSK
Денис, было решение не принимать патчи локализации. Весь код берётся только из репозитория, а патчи накладываются только необходимые для сборки и обеспечения работоспособности. Патчи с улучшением функциональности (в т.ч. локализации) не принимались т.к. поддерживать их переносимость на новые версии некому.
Comment 6 Denis Koryavov 2013-03-28 11:46:39 MSK
Я не помню такого решения. Такое решение было на ТК? Если нет, то оно неправомерно. При этом, переносить патч на новую версию и не нужно в нашем случае. Т.е поддержка уже выпущенного дистрибутива со старой версией KDE/GNOME/etc. вполне может опираться на патчи локализации. Тем более, для марафона, поддерживать который мы будем еще 4 года.